Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.ft
Class FTIndexAccess

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.expr.Expr
              org.basex.query.expr.Simple
                  org.basex.query.ft.FTIndexAccess

    public final class FTIndexAccess

extends Simple

FTContains expression with index access.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Constructor Summary
`FTIndexAccess(FTExpr ex, FTTokenizer ftt, IndexContext ic)` Constructor.

Method Summary
`boolean` | `duplicates(QueryContext ctx)` Returns true if the expression might yield duplicates and unsorted results.
`Iter` | `iter(QueryContext ctx)` Evaluates the expression and returns an iterator on the resulting items.
`void` | `plan(Serializer ser)` Recursively sends the abstract syntax of this expression to the specified serializer.
`java.lang.String` | `toString()`

Methods inherited from class org.basex.query.expr.Simple
`color, comp, uses`

Methods inherited from class org.basex.query.expr.Expr
`addText, atomic, checkCtx, checkDbl, checkItr, e, ebv, i, indexAccessible, indexEquivalent, removable, remove, returned, sameAs, size, test`

Methods inherited from class org.basex.query.ExprInfo
`info, name`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FTIndexAccess

    public FTIndexAccess(FTExpr ex,
                         FTTokenizer ftt,
                         IndexContext ic)

  Constructor.

  Parameters:
    `ex` - contains, select and optional ignore expression
    `ftt` - FTTokenizer
    `ic` - index context

Method Detail

### iter

    public Iter iter(QueryContext ctx)

  Description copied from class: `Expr`
  Evaluates the expression and returns an iterator on the resulting items. If this method is not overwritten, `Expr.atomic(org.basex.query.QueryContext)` must be implemented.

  Overrides:
    `iter` in class `Expr`
  Parameters:
    `ctx` - query context
  Returns:
    resulting item

### plan

    public void plan(Serializer ser)
              throws java.io.IOException

  Description copied from class: `ExprInfo`
  Recursively sends the abstract syntax of this expression to the specified serializer.

  Overrides:
    `plan` in class `Simple`
  Parameters:
    `ser` - serializer
  Throws:
    `java.io.IOException` - exception

### duplicates

    public boolean duplicates(QueryContext ctx)

  Description copied from class: `Expr`
  Returns true if the expression might yield duplicates and unsorted results.

  Overrides:
    `duplicates` in class `Expr`
  Parameters:
    `ctx` - query context
  Returns:
    result of check

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in class `ExprInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD